### Method

# GIRepository StructInfo is_foreign

since: 2.80

#### Declaration [src]

    gboolean
    gi_struct_info_is_foreign (
      GIStructInfo* info
    )

#### Description [src]

Gets whether the structure is foreign, i.e. if it’s expected to be overridden by a native language binding instead of relying of introspected bindings.

Available since: 2.80

#### Return value

Type: `gboolean`

`TRUE` if the structure is foreign.